SystemOrganization addCategory: #EpigentRiakInterfaceTests!

!EpigentRiakClient class methodsFor: '*EpigentRiakInterfaceTests' stamp: 'RunarJordahl 3/6/2011 21:37'!
newWithTestConnection
	^ self newForRestConnection: self riakTestUrlString! !

!EpigentRiakClient class methodsFor: '*EpigentRiakInterfaceTests' stamp: 'RunarJordahl 3/6/2011 21:37'!
riakTestUrlString
	^ 'http://riaktest:8098/riak'! !

TestCase subclass: #EpigentRiakRestConnectionTest
	instanceVariableNames: 'client'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EpigentRiakInterfaceTests'!

!EpigentRiakRestConnectionTest commentStamp: '<historical>' prior: 0!
Tests working against bucket "epigenttest" on server http://riaktest:8098/riak .

Note that if the Riak server is not reached, all tests fail, but this can take time because of timeouts. It is therefore wise to verify the connection by opening http://riaktest:8098/riak using a web browser on the client computer.!

!EpigentRiakRestConnectionTest methodsFor: 'accessing' stamp: 'RunarJordahl 3/7/2011 20:45'!
bucketForTesting
	^ self client bucketNamed: self bucketNameForTesting ! !

!EpigentRiakRestConnectionTest methodsFor: 'accessing' stamp: 'RunarJordahl 3/7/2011 20:44'!
bucketNameForTesting
	^ 'epigenttest'! !

!EpigentRiakRestConnectionTest methodsFor: 'accessing' stamp: 'RunarJordahl 3/7/2011 20:39'!
client
	^ client! !

!EpigentRiakRestConnectionTest methodsFor: 'accessing' stamp: 'RunarJordahl 3/7/2011 20:39'!
client: anObject
	client := anObject! !

!EpigentRiakRestConnectionTest methodsFor: 'running' stamp: 'RunarJordahl 3/7/2011 20:51'!
setUp
	super setUp.
	self client: EpigentRiakClient newWithTestConnection.
	self bucketForTesting deleteAllKeys! !

!EpigentRiakRestConnectionTest methodsFor: 'running' stamp: 'RunarJordahl 3/7/2011 20:52'!
tearDown
	super tearDown.
	self bucketForTesting deleteAllKeys! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/13/2011 20:00'!
testDeleteObject
	| bucket |
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: 'abc' type: 'text/plain'.
	bucket deleteKey: 'test'.
	self assert: bucket keyNames isEmpty! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:54'!
testListBucketKeys
	| bucket |
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: 'abc' type: 'text/plain'.
	self assert: bucket keyNames size = 1! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:48'!
testListBuckets
	self client bucketNames! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/13/2011 20:06'!
testNoOperation! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:55'!
testPutAndGetBinaryObject
	| bucket storedObject |
	storedObject := ByteArray with: 1 with: 2 with: 3.
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: storedObject type: 'application/binary'.
	self assert: (bucket atKey: 'test') = storedObject! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:49'!
testPutAndGetEmptyBinaryObject
	| bucket storedObject |
	storedObject := ByteArray new.
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: storedObject type: 'application/binary'.
	self assert: (bucket atKey: 'test') = storedObject! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:49'!
testPutAndGetEmptyString
	| bucket storedObject |
	storedObject := ''.
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: storedObject type: 'text/plain'.
	self assert: (bucket atKey: 'test') = storedObject! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:55'!
testPutAndGetLargeBinaryObject
	| bucket storedObject |
	storedObject := ByteArray new: 1024 * 1024 * 2 withAll: 123.
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: storedObject type: 'application/binary'.
	self assert: (bucket atKey: 'test') = storedObject! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/7/2011 20:49'!
testPutAndGetString
	| bucket storedObject |
	storedObject := 'abc'.
	bucket := self bucketForTesting.
	bucket atKey: 'test' put: storedObject type: 'text/plain'.
	self assert: (bucket atKey: 'test') = storedObject! !
